# TextArea

`TextArea` supports the following props:

- `placeholder`
- `value`
- `disabled`
- `focusOnMount`: should the component have focus when it mounts
- `label`
- `hideLabel`: accessibly hide the label
- `resize`: allow textarea to be resized vertically
- `className`: custom class name
- `height`: customizable height (defaults to 100px)

TextArea supports the following events:

- `onChange={value => console.log('Omg look a', value)}` where `value` is the string from the TextArea
- `onFocus={() => console.log('focusing')}`
- `onBlur={() => console.log('blurring')}`
